Subject: Re: [WIP/RFH/PATCH 3/3] t/lib-git-svn: adjust config to apache 2.4

From: Michael J Gruber <[email-masked]>
Date: Thu, 09 Apr 2015 11:33:23 +0200

Eric Wong venit, vidit, dixit 08.04.2015 22:26:
> Michael J Gruber <[email-masked]> wrote:
>> The current config is tailored to apache 2.2. Apache 2.4 fails to start
>> with it.
>>
>> Adjust the config to apache 2.4.
>>
>> Signed-off-by: Michael J Gruber <[email-masked]>
>> ---
> 
> 1/3 and 2/3 tested fine on Debian stable (wheezy).
> You can add my Tested-by to 1/3 and my S-o-b to 2/3.

Thanks, that's good to know.

> ...but not this one.
> 
>> Notes:
>>     This is WIP and RFH. Apache does not start without mpm, and the lock
>>     mechanism has changed. It will run with these changes, but svn fails to
>>     connect.
>>     
>>     Again, I'm wondering who is running these tests at all, but also:
>>     Why do we leverage lib-httpd so little from lib-git-svn?
> 
> I'm only testing on Apache 2.2 (from Debian stable (wheezy)).

So debian stable has apache 2.2? That explains why many don't see these
problems.

> I doubt anybody here, myself included, likes dealing with SVN,
> and would rather ignore the tests than try to fix them.
> 
> lib-git-svn predates lib-httpd, and it isn't very interesting work
> to port and cleanup.

I agree with everything above. But if (and that's a big if) the tests
don't run for anyone I'd rather remove them if there's no way to port them.

>> +LoadModule mpm_prefork_module $SVN_HTTPD_MODULE_PATH/mod_mpm_prefork.so
> 
> I think you need an IfModule guard around this?
> 
> I have no mod_mpm_prefork.so file with the apache2-mpm-prefork
> (2.2.22-13+deb7u4) package on Debian wheezy.

Sure, the changes in 3/3 are for apache 2.4 only and should be guarded
by a version check the same way as the ones in lib-httpd.

I'm just trying to figure out how to run them at all first.

So, before 3/3, t9118 and such do run the web server and test git-svn
against that for you?

Michael